> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 取得 Pathway

> 取得專案完整的 Pathway（節點＋邊）

## 請求

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/pathway
```

### 路徑參數

<ParamField path="projectId" type="string" required>
  專案 ID
</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

## 回應

回傳完整的 Pathway 資料，包含所有節點、邊與中繼資料。

### 範例

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/pathway \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": {
    "nodes": [
      {
        "id": "node-1",
        "type": "prompt",
        "position": { "x": 0, "y": 0 },
        "data": {
          "type": "start",
          "title": "Welcome",
          "prompt": "Greet the user and ask how you can help.",
          "tools": ["tool-uuid-1"]
        }
      }
    ],
    "edges": [
      {
        "id": "edge-1",
        "source": "node-1",
        "target": "node-2",
        "data": { "condition": "User wants to book" }
      }
    ],
    "version": "1.0",
    "updatedAt": "2026-03-07T00:00:00.000Z"
  }
}
```
